인증
Bearer 토큰으로 API 키를 전송하세요. 이 엔드포인트는 명세에 특정 권한을 명시하지 않으므로, 가정하기보다는 키에 필요한 최소한의 권한을 부여하고 응답을 확인하세요.
조직 ID가 들어가는 위치
이 엔드포인트는 JSON 본문의 필드로 org_id을(를) 받습니다.
조직 ID는 대시보드의 API 키 화면에서 키 바로 옆에 있습니다. 이는 실행하는 모든 호출에서 동일한 ID입니다.
무료 체험하기
대괄호 안에 있는 모든 내용을 사용자 지정 값으로 바꾸고, 키 플레이스홀더는 대시보드의 키로 바꾸세요.
curl -X POST https://api.zinndigital.com/v1/campaigns/preview \
-H "Authorization: Bearer zdk_live_…" \
-H "Content-Type: application/json" \
-d '{ "name": <string>, "subject": <string>, "body": <string> }'로그인하셨나요? 대시보드의 API 콘솔이 실제 조직 ID와 본인의 키를 자동으로 채우고 라이브 API를 대상으로 요청을 실행하므로 실제 응답을 확인할 수 있습니다. API 콘솔에서 이 엔드포인트를 여세요
상세 정보
Rendered by the engine, through the same renderer the send uses. A preview computed in the client is a second implementation of the substitution rules, and the first time it disagrees an author ships copy they never actually saw.
요청 본문
| 이름 | 유형 | 필수 | 설명 |
|---|---|---|---|
fallbacks | boolean | 아니요 | Preview only. Render with NO merge values, so every tag falls back and the author reads what a customer we know nothing about reads. It exists because a normal preview substitut… |
name | string | 예 | — |
subject | string | 예 | — |
body | string | 예 | — |
purpose | string<marketing, transactional> | 아니요 | — |
channels | string<email, in_app, slack, telegram>[] | 아니요 | — |
org_id | string | 아니요 | — |
응답
| 이름 | 유형 | 필수 | 설명 |
|---|---|---|---|
fallbacks | boolean | 아니요 | Whether this was rendered with fallbacks only, echoed so the composer can label the panel honestly. |
subject | string | 예 | — |
body_text | string | 예 | — |
body_html | string | 예 | — |
headers | object | 예 | RFC 8058 one-click unsubscribe headers on a marketing message; empty otherwise. |
이 엔드포인트가 반환할 수 있는 오류
401 · 403 · 422